#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	texinfo
Version		:	7.0.3
Release		:	14.4.0.0%{?dist}
Summary		:	Tools needed to create Texinfo format documentation files
Group		:	Applications/Publishing

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3+
URL		:	http://savannah.gnu.org/projects/texinfo

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
Provides	:	perl(Texinfo::Parser)
Provides	:	perl(Texinfo::ParserNonXS)
#-----------------------------------------------------------------------------
%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file. The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README ABOUT-NLS
%{_bindir}/tex*
%{_bindir}/info
%{_bindir}/install-info
%{_bindir}/makeinfo
%{_bindir}/pod2texi
%{_bindir}/pdftexi2dvi
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/*/LC_MESSAGES/%{name}_document.mo
%{_datadir}/%{name}/DebugTexinfo/*.pm
%{_datadir}/%{name}/Pod-Simple-Texinfo/Pod/Simple/Texinfo.pm
%{_datadir}/%{name}/ext/*.pm
%{_datadir}/%{name}/Texinfo/*.pm
%{_datadir}/%{name}/Texinfo/Commands.pod
%{_datadir}/%{name}/Texinfo/Convert/*.pm
%{_datadir}/%{name}/js/info.css
%{_datadir}/%{name}/js/info.js
%{_datadir}/%{name}/js/modernizr.js
%{_datadir}/%{name}/*.cnf
%{_datadir}/%{name}/init/*.pm
%{_datadir}/%{name}/lib/Unicode-EastAsianWidth/lib/Unicode/*.pm
%{_datadir}/%{name}/lib/Text-Unidecode/lib/Text/Unidecode.pm
%{_datadir}/%{name}/lib/Text-Unidecode/lib/Text/Unidecode/*.pm
%{_datadir}/%{name}/lib/libintl-perl/lib/Locale/RecodeData/*.pm
%{_datadir}/%{name}/lib/libintl-perl/lib/Locale/Recode/_*.pm
%{_datadir}/%{name}/lib/libintl-perl/lib/Locale/*.pm
%{_datadir}/%{name}/texindex.awk
%{_datadir}/%{name}/%{name}.dtd
%{_infodir}/texi2any_*.info.gz
%{_infodir}/info-stnd.info.gz
%{_infodir}/%{name}.info*.gz
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

#to resolve require for Messages.pm
%{__cp} 							\
	tp/maintain/lib/libintl-perl/gettext_xs/gettext_xs.*	\
	tp/maintain/lib/libintl-perl/lib/Locale

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-perl-xs				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#removing empty directory
%{__rm} %{buildroot}%{_infodir}/dir

#-----------------------------------------------------------------------------
%changelog
